### Enumeration

# GWeather FormatOptions

#### Declaration

    flags GWeather.FormatOptions

#### Description [src]

Format options to influence the text returned by the `gweather_*_to_string_full()` functions.

#### Members

`GWEATHER_FORMAT_OPTION_DEFAULT`

  The default string format.

  - Value: `0`
  - Available since: 4.0
`GWEATHER_FORMAT_OPTION_SENTENCE_CAPITALIZATION`

  Capitalize as if the string was starting a sentence.

  - Value: `1`
  - Available since: 4.0
`GWEATHER_FORMAT_OPTION_NO_CAPITALIZATION`

  Capitalize as if the string was appearing within a sentence.

  - Value: `2`
  - Available since: 4.0